[DEFAULT]
#osapi_max_limit = 1000
#resource_query_filters_file = /etc/cinder/resource_filters.json
#use_forwarded_for = false
#public_endpoint = <None>
#backup_use_same_host = false
#backup_compression_algorithm = zlib
#backup_metadata_version = 2
#backup_object_number_per_notification = 10
#backup_timer_interval = 120
#backup_ceph_conf = /etc/ceph/ceph.conf
#backup_ceph_user = cinder
#backup_ceph_chunk_size = 134217728
#backup_ceph_pool = backups
#backup_ceph_stripe_unit = 0
#backup_ceph_stripe_count = 0
#backup_ceph_image_journals = false
#restore_discard_excess_bytes = true
#backup_gcs_bucket = <None>
#backup_gcs_object_size = 52428800
#backup_gcs_block_size = 32768
#backup_gcs_reader_chunk_size = 2097152
#backup_gcs_writer_chunk_size = 2097152
#backup_gcs_num_retries = 3
#backup_gcs_retry_error_codes = 429
#backup_gcs_bucket_location = US
#backup_gcs_storage_class = NEARLINE
#backup_gcs_credential_file = <None>
#backup_gcs_project_id = <None>
#backup_gcs_user_agent = gcscinder
#backup_gcs_enable_progress_timer = true
#backup_gcs_proxy_url = <None>
#glusterfs_backup_mount_point = $state_path/backup_mount
#glusterfs_backup_share = <None>
#backup_mount_point_base = $state_path/backup_mount
#backup_share = <None>
#backup_mount_options = <None>
#backup_file_size = 1999994880
#backup_sha_block_size_bytes = 32768
#backup_enable_progress_timer = true
#backup_posix_path = $state_path/backup
#backup_container = <None>
#backup_swift_url = <None>
#backup_swift_auth_url = <None>
#swift_catalog_info = object-store:swift:publicURL
#keystone_catalog_info = identity:Identity Service:publicURL
#backup_swift_auth = per_user
#backup_swift_auth_version = 1
#backup_swift_tenant = <None>
#backup_swift_user_domain = <None>
#backup_swift_project_domain = <None>
#backup_swift_project = <None>
#backup_swift_user = <None>
#backup_swift_key = <None>
#backup_swift_container = volumebackups
#backup_swift_object_size = 52428800
#backup_swift_block_size = 32768
#backup_swift_retry_attempts = 3
#backup_swift_retry_backoff = 2
#backup_swift_enable_progress_timer = true
#backup_swift_ca_cert_file = <None>
#backup_swift_auth_insecure = false
#backup_tsm_volume_prefix = backup
#backup_tsm_password = password
#backup_tsm_compression = true
#backup_driver = cinder.backup.drivers.swift.SwiftBackupDriver
#backup_service_inithost_offload = true
#backup_native_threads_pool_size = 60
#backup_workers = 1
#cluster = <None>

enable_v2_api = {{ cinder_api_v2 }}
enable_v3_api = {{ cinder_api_v3 }}
#api_rate_limit = true
#group_api_class = cinder.group.api.API
#osapi_volume_ext_list =
#osapi_volume_extension = cinder.api.contrib.standard_extensions
#volume_api_class = cinder.volume.api.API
#state_path = /var/lib/cinder

auth_strategy = keystone
#backup_api_class = cinder.backup.api.API
#backup_manager = cinder.backup.manager.BackupManager

glance_api_servers = {{ cinder_glance_api_endpoint }}
#glance_num_retries = 0

glance_api_insecure = {{ ssl_no_verify }}
#glance_api_ssl_compression = false
#glance_ca_certificates_file = <None>
#glance_request_timeout = <None>

my_ip = {{ openstack_cinder_ip }}
#volume_manager = cinder.volume.manager.VolumeManager
#scheduler_manager = cinder.scheduler.manager.SchedulerManager
#host = localhost
#storage_availability_zone = nova
#default_availability_zone = <None>
#allow_availability_zone_fallback = false
#default_volume_type = <None>
#default_group_type = <None>
#volume_usage_audit_period = month
#rootwrap_config = /etc/cinder/rootwrap.conf
#monkey_patch = false
#monkey_patch_modules =
#service_down_time = 60

enabled_backends = {{ cinder_backend }}
#no_snapshot_gb_quota = false
#transfer_api_class = cinder.transfer.api.API
#consistencygroup_api_class = cinder.consistencygroup.api.API
#split_loggers = false
#compute_api_class = cinder.compute.nova.API
#cinder_internal_tenant_project_id = <None>
#cinder_internal_tenant_user_id = <None>
#enable_new_services = true
#volume_name_template = volume-%s
#snapshot_name_template = snapshot-%s
#backup_name_template = backup-%s
#db_driver = cinder.db
#allowed_direct_url_schemes =
#verify_glance_signatures = enabled
#glance_catalog_info = image:glance:publicURL
#glance_core_properties = checksum,container_format,disk_format,image_name,image_id,min_disk,min_ram,name,size
#image_conversion_dir = $state_path/conversion
#message_ttl = 2592000
#message_reap_interval = 86400
#quota_volumes = 10
#quota_snapshots = 10
#quota_consistencygroups = 10
#quota_groups = 10
#quota_gigabytes = 1000
#quota_backups = 10
#quota_backup_gigabytes = 1000
#reservation_expire = 86400
#reservation_clean_interval = $reservation_expire
#until_refresh = 0
#max_age = 0
#quota_driver = cinder.quota.DbQuotaDriver
#use_default_quota_class = true
#per_volume_size_limit = -1
#scheduler_host_manager = cinder.scheduler.host_manager.HostManager
#scheduler_max_attempts = 3
#scheduler_default_filters = AvailabilityZoneFilter,CapacityFilter,CapabilitiesFilter
#scheduler_default_weighers = CapacityWeigher
#scheduler_weight_handler = cinder.scheduler.weights.OrderedHostWeightHandler
#scheduler_driver = cinder.scheduler.filter_scheduler.FilterScheduler
#scheduler_json_config_location =
#capacity_weight_multiplier = 1.0
#allocated_capacity_weight_multiplier = -1.0
#volume_number_multiplier = -1.0
#report_interval = 10
#periodic_interval = 60
#periodic_fuzzy_delay = 60

osapi_volume_listen = {{ openstack_cinder_ip }}
osapi_volume_listen_port = {{ openstack_cinder_port }}
#osapi_volume_workers = <None>
#osapi_volume_use_ssl = false
#strict_ssh_host_key_policy = false
#ssh_hosts_key_file = $state_path/ssh_known_hosts
#volume_transfer_salt_length = 8
#volume_transfer_key_length = 16
#enable_force_upload = false
#snapshot_same_host = true
#cloned_volume_same_az = true
#az_cache_duration = 3600
#num_shell_tries = 3
#reserved_percentage = 0
#target_prefix = iqn.2010-10.org.openstack:
#target_ip_address = $my_ip
#iscsi_secondary_ip_addresses =
#target_port = 3260
#num_volume_device_scan_tries = 3
#volume_backend_name = <None>
#volume_clear = zero
#volume_clear_size = 0
#volume_clear_ionice = <None>
#target_helper = tgtadm
#volumes_dir = $state_path/volumes
#iet_conf = /etc/iet/ietd.conf
#chiscsi_conf = /etc/chelsio-iscsi/chiscsi.conf
#iscsi_iotype = fileio
#volume_dd_blocksize = 1M
#volume_copy_blkio_cgroup_name = cinder-volume-copy
#volume_copy_bps_limit = 0
#iscsi_write_cache = on
#iscsi_target_flags =
#target_protocol = iscsi
#driver_client_cert_key = <None>
#driver_client_cert = <None>
#driver_use_ssl = false
#max_over_subscription_ratio = 20.0
#use_chap_auth = false
#chap_username =
#chap_password =
#driver_data_namespace = <None>
#filter_function = <None>
#goodness_function = <None>
#driver_ssl_cert_verify = false
#driver_ssl_cert_path = <None>
#trace_flags = <None>
#replication_device = <None>
#report_discard_supported = false
#storage_protocol = iscsi
#enable_unsupported_driver = false
#backend_availability_zone = <None>
#num_iser_scan_tries = 3
#iser_target_prefix = iqn.2010-10.org.openstack:
#iser_ip_address = $my_ip
#iser_port = 3260
#iser_helper = tgtadm
#nvmet_port_id = 1
#nvmet_ns_id = 10
#scst_target_iqn_name = <None>
#scst_target_driver = iscsi
#backup_use_temp_snapshot = false
#image_upload_use_cinder_backend = false
#image_upload_use_internal_tenant = false
#image_volume_cache_enabled = false
#image_volume_cache_max_size_gb = 0
#image_volume_cache_max_count = 0
#use_multipath_for_image_xfer = false
#enforce_multipath_for_image_xfer = false
#datacore_disk_type = single
#datacore_storage_profile = <None>
#datacore_disk_pools =
#datacore_api_timeout = 300
#datacore_disk_failed_delay = 15
#datacore_iscsi_unallowed_targets =
#datacore_iscsi_chap_enabled = false
#datacore_iscsi_chap_storage = <None>
#dsware_isthin = false
#dsware_manager =
#fusionstorageagent =
#pool_type = default
#pool_id_filter =
#clone_volume_timeout = 680
#manager_ips =
#dsware_rest_url =
#dsware_storage_pools =
#as13000_ipsan_pools = Pool0
#as13000_token_available_time = 3300
#as13000_meta_pool = <None>
#instorage_mcs_vol_autoexpand = true
#instorage_mcs_vol_compression = false
#instorage_mcs_vol_intier = true
#instorage_mcs_allow_tenant_qos = false
#instorage_mcs_vol_grainsize = 256
#instorage_mcs_vol_rsize = 2
#instorage_mcs_vol_warning = 0
#instorage_mcs_localcopy_timeout = 120
#instorage_mcs_localcopy_rate = 50
#instorage_mcs_vol_iogrp = 0
#instorage_san_secondary_ip = <None>
#instorage_mcs_volpool_name = volpool
#instorage_mcs_iscsi_chap_enabled = true
#storpool_template = <None>
#storpool_replication = 3
#vrts_lun_sparse = true
#vrts_target_config = /etc/cinder/vrts_target.xml
#migration_create_volume_timeout_secs = 300
#volume_service_inithost_offload = false
#zoning_mode = <None>
#reinit_driver_count = 3
#init_host_max_objects_retrieval = 0
#tcp_keepalive = true
#tcp_keepalive_interval = <None>
#tcp_keepalive_count = <None>
#config_file = ~/.project/project.conf,~/project.conf,/etc/project/project.conf,/etc/project.conf
#config_dir = ~/.project/project.conf.d/,~/project.conf.d/,/etc/project/project.conf.d/,/etc/project.conf.d/
#config_source =
#debug = false
#log_config_append = <None>
#log_date_format = %Y-%m-%d %H:%M:%S
#log_file = <None>
#log_dir = <None>
#watch_log_file = false
#use_syslog = false
#use_journal = false
#syslog_log_facility = LOG_USER
#use_json = false
#use_stderr = false
#use_eventlog = false
#log_rotate_interval = 1
#log_rotate_interval_type = days
#max_logfile_count = 30
#max_logfile_size_mb = 200
#log_rotation_type = none
#logging_context_format_string = %(asctime)s.%(msecs)03d %(process)d %(levelname)s %(name)s [%(request_id)s %(user_identity)s] %(instance)s%(message)s
#logging_default_format_string = %(asctime)s.%(msecs)03d %(process)d %(levelname)s %(name)s [-] %(instance)s%(message)s
#logging_debug_format_suffix = %(funcName)s %(pathname)s:%(lineno)d
#logging_exception_prefix = %(asctime)s.%(msecs)03d %(process)d ERROR %(name)s %(instance)s
#logging_user_identity_format = %(user)s %(tenant)s %(domain)s %(user_domain)s %(project_domain)s
#default_log_levels = amqp=WARN,amqplib=WARN,boto=WARN,qpid=WARN,sqlalchemy=WARN,suds=INFO,oslo.messaging=INFO,oslo_messaging=INFO,iso8601=WARN,requests.packages.urllib3.connectionpool=WARN,urllib3.connectionpool=WARN,websocket=WARN,requests.packages.urllib3.util.retry=WARN,urllib3.util.retry=WARN,keystonemiddleware=WARN,routes.middleware=WARN,stevedore=WARN,taskflow=WARN,keystoneauth=WARN,oslo.cache=INFO,oslo_policy=INFO,dogpile.core.dogpile=INFO
#publish_errors = false
#instance_format = "[instance: %(uuid)s] "
#instance_uuid_format = "[instance: %(uuid)s] "
#rate_limit_interval = 0
#rate_limit_burst = 0
#rate_limit_except_level = CRITICAL
#fatal_deprecations = false
#rpc_conn_pool_size = 30
#conn_pool_min_size = 2
#conn_pool_ttl = 1200
#executor_thread_pool_size = 64
#rpc_response_timeout = 60

transport_url = {{ rabbit_transport_url }}
#control_exchange = openstack
#run_external_periodic_tasks = true
#backdoor_port = <None>
#backdoor_socket = <None>
#log_options = true
#graceful_shutdown_timeout = 60
#api_paste_config = api-paste.ini
#wsgi_log_format = %(client_ip)s "%(request_line)s" status: %(status_code)s  len: %(body_length)s time: %(wall_seconds).7f
#tcp_keepidle = 600
#wsgi_default_pool_size = 100
#max_header_line = 16384
#wsgi_keep_alive = true
#client_socket_timeout = 900

[backend]
#backend_host = <None>

[backend_defaults]
#num_shell_tries = 3
#reserved_percentage = 0
#target_prefix = iqn.2010-10.org.openstack:
#target_ip_address = $my_ip
#iscsi_secondary_ip_addresses =
#target_port = 3260
#num_volume_device_scan_tries = 3
#volume_backend_name = <None>
#volume_clear = zero
#volume_clear_size = 0
#volume_clear_ionice = <None>
#target_helper = tgtadm
#volumes_dir = $state_path/volumes
#iet_conf = /etc/iet/ietd.conf
#chiscsi_conf = /etc/chelsio-iscsi/chiscsi.conf
#iscsi_iotype = fileio
#volume_dd_blocksize = 1M
#volume_copy_blkio_cgroup_name = cinder-volume-copy
#volume_copy_bps_limit = 0
#iscsi_write_cache = on
#iscsi_target_flags =
#target_protocol = iscsi
#driver_client_cert_key = <None>
#driver_client_cert = <None>
#driver_use_ssl = false
#max_over_subscription_ratio = 20.0
#use_chap_auth = false
#chap_username =
#chap_password =
#driver_data_namespace = <None>
#filter_function = <None>
#goodness_function = <None>
#driver_ssl_cert_verify = false
#driver_ssl_cert_path = <None>
#trace_flags = <None>
#replication_device = <None>
#report_discard_supported = false
#storage_protocol = iscsi
#enable_unsupported_driver = false
#backend_availability_zone = <None>
#num_iser_scan_tries = 3
#iser_target_prefix = iqn.2010-10.org.openstack:
#iser_ip_address = $my_ip
#iser_port = 3260
#iser_helper = tgtadm
#nvmet_port_id = 1
#nvmet_ns_id = 10
#scst_target_iqn_name = <None>
#scst_target_driver = iscsi
#image_upload_use_cinder_backend = false
#image_upload_use_internal_tenant = false
#image_volume_cache_enabled = false
#image_volume_cache_max_size_gb = 0
#image_volume_cache_max_count = 0
#use_multipath_for_image_xfer = false
#enforce_multipath_for_image_xfer = false
#datera_api_port = 7717
#datera_api_version = 2
#datera_503_timeout = 120
#datera_503_interval = 5
#datera_debug = false
#datera_debug_replica_count_override = false
#datera_tenant_id = <None>
#datera_disable_profiler = false
#interval = 3
#retries = 200
#vmax_snapvx_unlink_limit = 3
#initiator_check = false
#san_rest_port = 8443
#vmax_array = <None>
#vmax_srp = <None>
#vmax_service_level = <None>
#vmax_workload = <None>
#vmax_port_groups = <None>
#u4p_failover_timeout = 20.0
#u4p_failover_retries = 3
#u4p_failover_backoff_factor = 1
#u4p_failover_autofailback = true
#u4p_failover_target = <None>
#powermax_snapvx_unlink_limit = 3
#powermax_array = <None>
#powermax_srp = <None>
#powermax_service_level = <None>
#powermax_port_groups = <None>
#eqlx_group_name = group-0
#eqlx_cli_max_retries = 5
#eqlx_pool = default
#dell_sc_ssn = 64702
#dell_sc_api_port = 3033
#dell_sc_server_folder = openstack
#dell_sc_volume_folder = openstack
#dell_sc_verify_cert = false
#secondary_san_ip =
#secondary_san_login = Admin
#secondary_san_password =
#secondary_sc_api_port = 3033
#dell_api_async_rest_timeout = 15
#dell_api_sync_rest_timeout = 30
#excluded_domain_ip = <None>
#excluded_domain_ips =
#dell_server_os = Red Hat Linux 6.x
#sio_rest_server_port = 443
#sio_verify_server_certificate = false
#sio_server_certificate_path = <None>
#sio_round_volume_capacity = true
#sio_unmap_volume_before_deletion = false
#sio_storage_pools = <None>
#sio_protection_domain_id = <None>
#sio_protection_domain_name = <None>
#sio_storage_pool_name = <None>
#sio_storage_pool_id = <None>
#sio_server_api_version = <None>
#sio_max_over_subscription_ratio = 10.0
#sio_allow_non_padded_volumes = false
#unity_storage_pool_names =
#unity_io_ports =
#remove_empty_host = false
#storage_vnx_authentication_type = global
#storage_vnx_security_file_dir = <None>
#naviseccli_path = <None>
#storage_vnx_pool_names = <None>
#default_timeout = 31536000
#max_luns_per_storage_group = 255
#destroy_empty_storage_group = false
#iscsi_initiators = <None>
#io_port_list = <None>
#initiator_auto_registration = false
#initiator_auto_deregistration = false
#check_max_pool_luns_threshold = false
#force_delete_lun_in_storagegroup = false
#ignore_pool_full_threshold = false
#xtremio_cluster_name =
#xtremio_array_busy_retry_count = 5
#xtremio_array_busy_retry_interval = 5
#xtremio_volumes_per_glance_cache = 100
#xtremio_clean_unused_ig = false
#drbdmanage_redundancy = 1
#drbdmanage_resource_policy = {"ratio": "0.51", "timeout": "60"}
#drbdmanage_disk_options = {"c-min-rate": "4M"}
#drbdmanage_net_options = {"connect-int": "4", "allow-two-primaries": "yes", "ko-count": "30", "max-buffers": "20000", "ping-timeout": "100"}
#drbdmanage_resource_options = {"auto-promote-timeout": "300"}
#drbdmanage_snapshot_policy = {"count": "1", "timeout": "60"}
#drbdmanage_resize_policy = {"timeout": "60"}
#drbdmanage_resource_plugin = drbdmanage.plugins.plugins.wait_for.WaitForResource
#drbdmanage_snapshot_plugin = drbdmanage.plugins.plugins.wait_for.WaitForSnapshot
#drbdmanage_resize_plugin = drbdmanage.plugins.plugins.wait_for.WaitForVolumeSize
#drbdmanage_devs_on_controller = true
#cinder_eternus_config_file = /etc/cinder/cinder_fujitsu_eternus_dx.xml
#hpe3par_api_url =
#hpe3par_username =
#hpe3par_password =
#hpe3par_cpg = OpenStack
#hpe3par_cpg_snap =
#hpe3par_snapshot_retention =
#hpe3par_snapshot_expiration =
#hpe3par_debug = false
#hpe3par_iscsi_ips =
#hpe3par_iscsi_chap_enabled = false
#hpelefthand_api_url = <None>
#hpelefthand_username = <None>
#hpelefthand_password = <None>
#hpelefthand_clustername = <None>
#hpelefthand_iscsi_chap_enabled = false
#hpelefthand_debug = false
#hpelefthand_ssh_port = 16022
#cinder_huawei_conf_file = /etc/cinder/cinder_huawei_conf.xml
#hypermetro_devices = <None>
#metro_san_user = <None>
#metro_san_password = <None>
#metro_domain_name = <None>
#metro_san_address = <None>
#metro_storage_pools = <None>
#flashsystem_connection_protocol = FC
#flashsystem_multihostmap_enabled = true
#flashsystem_iscsi_portid = 0
#gpfs_mount_point_base = <None>
#gpfs_images_dir = <None>
#gpfs_images_share_mode = <None>
#gpfs_max_clone_depth = 0
#gpfs_sparse_volumes = true
#gpfs_storage_pool = system
#gpfs_hosts =
#gpfs_user_login = root
#gpfs_user_password =
#gpfs_private_key =
#gpfs_ssh_port = 22
#gpfs_hosts_key_file = $state_path/ssh_known_hosts
#gpfs_strict_host_key_policy = false
#ds8k_devadd_unitadd_mapping =
#ds8k_ssid_prefix = FF
#lss_range_for_cg =
#ds8k_host_type = auto
#proxy = cinder.volume.drivers.ibm.ibm_storage.proxy.IBMStorageProxy
#connection_type = iscsi
#chap = disabled
#management_ips =
#storwize_svc_volpool_name = volpool
#storwize_svc_vol_rsize = 2
#storwize_svc_vol_warning = 0
#storwize_svc_vol_autoexpand = true
#storwize_svc_vol_grainsize = 256
#storwize_svc_vol_compression = false
#storwize_svc_vol_easytier = true
#storwize_svc_vol_iogrp = 0
#storwize_svc_flashcopy_timeout = 120
#storwize_svc_multihostmap_enabled = true
#storwize_svc_allow_tenant_qos = false
#storwize_svc_stretched_cluster_partner = <None>
#storwize_san_secondary_ip = <None>
#storwize_svc_vol_nofmtdisk = false
#storwize_svc_flashcopy_rate = 50
#storwize_svc_mirror_pool = <None>
#storwize_peer_pool = <None>
#storwize_preferred_host_site =
#cycle_period_seconds = 300
#storwize_svc_multipath_enabled = false
#storwize_svc_iscsi_chap_enabled = true
#infinidat_pool_name = <None>
#infinidat_storage_protocol = fc
#infinidat_iscsi_netspaces =
#infinidat_use_compression = false
#auto_calc_max_oversubscription_ratio = false
#unique_fqdn_network = true
#disable_discovery = false
#lenovo_backend_name = A
#lenovo_backend_type = virtual
#lenovo_api_protocol = https
#lenovo_verify_certificate = false
#lenovo_verify_certificate_path = <None>
#lenovo_iscsi_ips =
#linstor_default_volume_group_name = drbd-vg
#linstor_default_uri = linstor://localhost
#linstor_default_storage_pool_name = DfltStorPool
#linstor_volume_downsize_factor = 4096
#linstor_default_blocksize = 4096
#linstor_controller_diskless = true
#volume_group = cinder-volumes
#lvm_mirrors = 0
#lvm_type = auto
#lvm_conf_file = /etc/cinder/lvm.conf
#lvm_suppress_fd_warnings = false
#netapp_storage_family = ontap_cluster
#netapp_storage_protocol = <None>
#netapp_server_hostname = <None>
#netapp_server_port = <None>
#netapp_transport_type = http
#netapp_login = <None>
#netapp_password = <None>
#netapp_vserver = <None>
#netapp_size_multiplier = 1.2
#netapp_lun_space_reservation = enabled
#thres_avl_size_perc_start = 20
#thres_avl_size_perc_stop = 60
#expiry_thres_minutes = 720
#netapp_copyoffload_tool_path = <None>
#netapp_lun_ostype = <None>
#netapp_host_type = <None>
#netapp_pool_name_search_pattern = (.+)
#netapp_replication_aggregate_map = <None>
#netapp_snapmirror_quiesce_timeout = 3600
#netapp_api_trace_pattern = (.*)
#nexenta_rest_address =
#nexenta_host =
#nexenta_rest_port = 0
#nexenta_rest_protocol = auto
#nexenta_use_https = true
#nexenta_lu_writebackcache_disabled = false
#nexenta_user = admin
#nexenta_password = nexenta
#nexenta_iscsi_target_portal_groups =
#nexenta_iscsi_target_portals =
#nexenta_iscsi_target_host_group = all
#nexenta_iscsi_target_portal_port = 3260
#nexenta_luns_per_target = 100
#nexenta_volume = cinder
#nexenta_target_prefix = iqn.1986-03.com.sun:02:cinder
#nexenta_target_group_prefix = cinder
#nexenta_host_group_prefix = cinder
#nexenta_volume_group = iscsi
#nexenta_dataset_compression = on
#nexenta_dataset_dedup = off
#nexenta_folder =
#nexenta_dataset_description =
#nexenta_blocksize = 4096
#nexenta_ns5_blocksize = 32
#nexenta_sparse = false
#nexenta_shares_config = /etc/cinder/nfs_shares
#nexenta_mount_point_base = $state_path/mnt
#nexenta_sparsed_volumes = true
#nexenta_nms_cache_volroot = true
#nexenta_rrmgr_compression = 0
#nexenta_rrmgr_tcp_buf_size = 4096
#nexenta_rrmgr_connections = 2
#nexenta_nbd_symlinks_dir = /dev/disk/by-path
#nexenta_rest_user = admin
#nexenta_rest_password = nexenta
#nexenta_lun_container =
#nexenta_iscsi_service =
#nexenta_client_address =
#nexenta_iops_limit = 0
#nexenta_chunksize = 32768
#nexenta_replication_count = 3
#nexenta_encryption = false
#nfs_shares_config = /etc/cinder/nfs_shares
#nfs_sparsed_volumes = true
#nfs_qcow2_volumes = false
#nfs_mount_point_base = $state_path/mnt
#nfs_mount_options = <None>
#nfs_mount_attempts = 3
#nfs_snapshot_support = false
#nimble_pool_name = default
#nimble_subnet_label = *
#nimble_verify_certificate = false
#nimble_verify_cert_path = <None>
#dpl_pool =
#dpl_port = 8357
#pure_api_token = <None>
#pure_automatic_max_oversubscription_ratio = true
#pure_replica_interval_default = 3600
#pure_replica_retention_short_term_default = 14400
#pure_replica_retention_long_term_per_day_default = 3
#pure_replica_retention_long_term_default = 7
#pure_replication_pg_name = cinder-group
#pure_replication_pod_name = cinder-pod
#pure_eradicate_on_delete = false
#qnap_management_url = <None>
#qnap_poolname = <None>
#qnap_storage_protocol = iscsi
#quobyte_volume_url = <None>
#quobyte_client_cfg = <None>
#quobyte_sparsed_volumes = true
#quobyte_qcow2_volumes = true
#quobyte_mount_point_base = $state_path/mnt
#quobyte_volume_from_snapshot_cache = false
#quobyte_overlay_volumes = false
#rbd_cluster_name = ceph
#rbd_pool = rbd
#rbd_user = <None>
#rbd_ceph_conf =
#rbd_keyring_conf =
#rbd_flatten_volume_from_snapshot = false
#rbd_secret_uuid = <None>
#rbd_max_clone_depth = 5
#rbd_store_chunk_size = 4
#rados_connect_timeout = -1
#rados_connection_retries = 3
#rados_connection_interval = 5
#replication_connect_timeout = 5
#report_dynamic_total_capacity = true
#rbd_exclusive_cinder_pool = false
#enable_deferred_deletion = false
#deferred_deletion_delay = 0
#deferred_deletion_purge_interval = 60
#nas_host =
#nas_login = admin
#nas_password =
#nas_ssh_port = 22
#nas_private_key =
#nas_secure_file_operations = auto
#nas_secure_file_permissions = auto
#nas_share_path =
#nas_mount_options = <None>
#nas_volume_prov_type = thin
#hpmsa_backend_name = A
#hpmsa_backend_type = virtual
#hpmsa_api_protocol = https
#hpmsa_verify_certificate = false
#hpmsa_verify_certificate_path = <None>
#hpmsa_iscsi_ips =
#san_thin_provision = true
#san_ip =
#san_login = admin
#san_password =
#san_private_key =
#san_clustername =
#san_ssh_port = 22
#san_api_port = <None>
#san_is_local = false
#ssh_conn_timeout = 30
#ssh_min_pool_conn = 1
#ssh_max_pool_conn = 5
#sheepdog_store_address = 127.0.0.1
#sheepdog_store_port = 7000
#sf_emulate_512 = true
#sf_allow_tenant_qos = false
#sf_account_prefix = <None>
#sf_volume_prefix = UUID-
#sf_template_account_name = openstack-vtemplate
#sf_allow_template_caching = false
#sf_svip = <None>
#sf_api_port = 443
#sf_enable_vag = false
#sf_provisioning_calc = maxProvisionedSpace
#synology_pool_name =
#synology_admin_port = 5000
#synology_username = admin
#synology_password =
#synology_ssl_verify = true
#synology_one_time_pass = <None>
#synology_device_id = <None>
#tintri_server_hostname = <None>
#tintri_server_username = <None>
#tintri_server_password = <None>
#tintri_api_version = v310
#tintri_image_cache_expiry_days = 30
#tintri_image_shares_config = <None>
#vmware_host_ip = <None>
#vmware_host_port = 443
#vmware_host_username = <None>
#vmware_host_password = <None>
#vmware_wsdl_location = <None>
#vmware_api_retry_count = 10
#vmware_task_poll_interval = 2.0
#vmware_volume_folder = Volumes
#vmware_image_transfer_timeout_secs = 7200
#vmware_max_objects_retrieval = 100
#vmware_host_version = <None>
#vmware_tmp_dir = /tmp
#vmware_ca_file = <None>
#vmware_insecure = false
#vmware_cluster_name =
#vmware_storage_profile =
#vmware_connection_pool_size = 10
#vmware_adapter_type = lsiLogic
#vmware_snapshot_format = template
#vmware_lazy_create = true
#vmware_datastore_regex = <None>
#vzstorage_shares_config = /etc/cinder/vzstorage_shares
#vzstorage_sparsed_volumes = true
#vzstorage_used_ratio = 0.95
#vzstorage_mount_point_base = $state_path/mnt
#vzstorage_mount_options = <None>
#vzstorage_default_volume_format = raw
#windows_iscsi_lun_path = C:\iSCSIVirtualDisks
#smbfs_shares_config = C:\OpenStack\smbfs_shares.txt
#smbfs_default_volume_format = vhd
#smbfs_mount_point_base = C:\OpenStack\_mnt
#smbfs_pool_mappings =
#zadara_use_iser = true
#zadara_vpsa_host = <None>
#zadara_vpsa_port = <None>
#zadara_vpsa_use_ssl = false
#zadara_ssl_cert_verify = true
#zadara_user = <None>
#zadara_password = <None>
#zadara_vpsa_poolname = <None>
#zadara_vol_encrypt = false
#zadara_vol_name_template = OS_%s
#zadara_default_snap_policy = false
#zfssa_pool = <None>
#zfssa_project = <None>
#zfssa_lun_volblocksize = 8k
#zfssa_lun_sparse = false
#zfssa_lun_compression = off
#zfssa_lun_logbias = latency
#zfssa_initiator_group =
#zfssa_initiator =
#zfssa_initiator_user =
#zfssa_initiator_password =
#zfssa_initiator_config =
#zfssa_target_group = tgt-grp
#zfssa_target_user =
#zfssa_target_password =
#zfssa_target_portal = <None>
#zfssa_target_interfaces = <None>
#zfssa_rest_timeout = <None>
#zfssa_replication_ip =
#zfssa_enable_local_cache = true
#zfssa_cache_project = os-cinder-cache
#zfssa_manage_policy = loose
#zfssa_data_ip = <None>
#zfssa_https_port = 443
#zfssa_nfs_mount_options =
#zfssa_nfs_pool =
#zfssa_nfs_project = NFSProject
#zfssa_nfs_share = nfs_share
#zfssa_nfs_share_compression = off
#zfssa_nfs_share_logbias = latency
#zfssa_cache_directory = os-cinder-cache
#volume_driver = cinder.volume.drivers.lvm.LVMVolumeDriver
#extra_capabilities = {}
#suppress_requests_ssl_warnings = false
#backend_native_threads_pool_size = 20
#spdk_rpc_ip = <None>
#spdk_rpc_port = 8000
#spdk_rpc_username = <None>
#spdk_rpc_password = <None>

[barbican]
#barbican_endpoint = <None>
#barbican_api_version = <None>
#auth_endpoint = http://localhost/identity/v3
#retry_delay = 1
#number_of_retries = 60
#verify_ssl = true
#barbican_endpoint_type = public

[brcd_fabric_example]
#fc_southbound_protocol = REST_HTTP
#fc_fabric_address =
#fc_fabric_user =
#fc_fabric_password =
#fc_fabric_port = 22
#fc_fabric_ssh_cert_path =
#zoning_policy = initiator-target
#zone_activate = true
#zone_name_prefix = openstack
#fc_virtual_fabric_id = <None>

[cisco_fabric_example]
#cisco_fc_fabric_address =
#cisco_fc_fabric_user =
#cisco_fc_fabric_password =
#cisco_fc_fabric_port = 22
#cisco_zoning_policy = initiator-target
#cisco_zone_activate = true
#cisco_zone_name_prefix = <None>
#cisco_zoning_vsan = <None>

[coordination]
#backend_url = file://$state_path

[cors]
#allowed_origin = <None>
#allow_credentials = true
#expose_headers = X-Auth-Token,X-Subject-Token,X-Service-Token,X-OpenStack-Request-ID,OpenStack-API-Version
#max_age = 3600
#allow_methods = GET,PUT,POST,DELETE,PATCH,HEAD
#allow_headers = X-Auth-Token,X-Identity-Status,X-Roles,X-Service-Catalog,X-User-Id,X-Tenant-Id,X-OpenStack-Request-ID,X-Trace-Info,X-Trace-HMAC,OpenStack-API-Version

[database]
connection = mysql+pymysql://cinder:{{ openstack_cinder_db_password }}@{{ cinder_database_host }}/cinder
#sqlite_synchronous = true
#backend = sqlalchemy
#connection = <None>
#slave_connection = <None>
#mysql_sql_mode = TRADITIONAL
#mysql_enable_ndb = false
#connection_recycle_time = 3600
#min_pool_size = 1
#max_pool_size = 5
#max_retries = 10
#retry_interval = 10
#max_overflow = 50
#connection_debug = 0
#connection_trace = false
#pool_timeout = <None>
#use_db_reconnect = false
#db_retry_interval = 1
#db_inc_retry_interval = true
#db_max_retry_interval = 10
#db_max_retries = 20
#connection_parameters =

[fc-zone-manager]
#brcd_sb_connector = HTTP
#cisco_sb_connector = cinder.zonemanager.drivers.cisco.cisco_fc_zone_client_cli.CiscoFCZoneClientCLI
#zone_driver = cinder.zonemanager.drivers.brocade.brcd_fc_zone_driver.BrcdFCZoneDriver
#zoning_policy = initiator-target
#fc_fabric_names = <None>
#fc_san_lookup_service = cinder.zonemanager.drivers.brocade.brcd_fc_san_lookup_service.BrcdFCSanLookupService
#enable_unsupported_driver = false

[healthcheck]
#path = /healthcheck
#detailed = false
#backends =
#disable_by_file_path = <None>
#disable_by_file_paths =

[key_manager]
#backend = barbican
#auth_type = <None>
#token = <None>
#username = <None>
#password = <None>
#auth_url = <None>
#user_id = <None>
#user_domain_id = <None>
#user_domain_name = <None>
#trust_id = <None>
#domain_id = <None>
#domain_name = <None>
#project_id = <None>
#project_name = <None>
#project_domain_id = <None>
#project_domain_name = <None>
#reauthenticate = true
#fixed_key = <None>

[keystone_authtoken]
www_authenticate_uri = {{ openstack_ks_url }}
#auth_uri = <None>
auth_url = {{ openstack_ks_url }}
memcached_servers = {{ openstack_memcached_servers }}
auth_type = password
project_domain_name = Default
user_domain_name = Default
project_name = service
username = cinder
password = {{ openstack_admin_password }}

#auth_version = <None>
#delay_auth_decision = false
#http_connect_timeout = <None>
#http_request_max_retries = 3
#cache = <None>
#certfile = <None>
#keyfile = <None>
#cafile = <None>

insecure = {{ ssl_no_verify }}
#region_name = <None>
#signing_dir = <None>
#memcached_servers = <None>
#token_cache_time = 300
#memcache_security_strategy = None
#memcache_secret_key = <None>
#memcache_pool_dead_retry = 300
#memcache_pool_maxsize = 10
#memcache_pool_socket_timeout = 3
#memcache_pool_unused_timeout = 60
#memcache_pool_conn_get_timeout = 10
#memcache_use_advanced_pool = false
#include_service_catalog = true
#enforce_token_bind = permissive
#hash_algorithms = md5
#service_token_roles = service
#service_token_roles_required = false
#auth_type = <None>
#auth_section = <None>

[nova]
#region_name = <None>
#interface = public
#token_auth_url = <None>
#cafile = <None>
#certfile = <None>
#keyfile = <None>

insecure = {{ ssl_no_verify }}
#timeout = <None>
#collect_timing = false
#split_loggers = false
#auth_type = <None>
#auth_section = <None>

[oslo_concurrency]
#disable_process_locking = false
lock_path = /var/lib/cinder/tmp

[oslo_messaging_amqp]
#container_name = <None>
#idle_timeout = 0
#trace = false
#ssl = false
#ssl_ca_file =
#ssl_cert_file =
#ssl_key_file =
#ssl_key_password = <None>
#ssl_verify_vhost = false
#sasl_mechanisms =
#sasl_config_dir =
#sasl_config_name =
#sasl_default_realm =
#connection_retry_interval = 1
#connection_retry_backoff = 2
#connection_retry_interval_max = 30
#link_retry_delay = 10
#default_reply_retry = 0
#default_reply_timeout = 30
#default_send_timeout = 30
#default_notify_timeout = 30
#default_sender_link_timeout = 600
#addressing_mode = dynamic
#pseudo_vhost = true
#server_request_prefix = exclusive
#broadcast_prefix = broadcast
#group_request_prefix = unicast
#rpc_address_prefix = openstack.org/om/rpc
#notify_address_prefix = openstack.org/om/notify
#multicast_address = multicast
#unicast_address = unicast
#anycast_address = anycast
#default_notification_exchange = <None>
#default_rpc_exchange = <None>
#reply_link_credit = 200
#rpc_server_credit = 100
#notify_server_credit = 100
#pre_settled = rpc-cast
#pre_settled = rpc-reply

[oslo_messaging_kafka]
#kafka_max_fetch_bytes = 1048576
#kafka_consumer_timeout = 1.0
#pool_size = 10
#conn_pool_min_size = 2
#conn_pool_ttl = 1200
#consumer_group = oslo_messaging_consumer
#producer_batch_timeout = 0.0
#producer_batch_size = 16384
#enable_auto_commit = false
#max_poll_records = 500
#security_protocol = PLAINTEXT
#sasl_mechanism = PLAIN
#ssl_cafile =

[oslo_messaging_notifications]
#driver =
#transport_url = <None>
#topics = notifications
#retry = -1

[oslo_messaging_rabbit]
#amqp_durable_queues = false
#amqp_auto_delete = false
#ssl = false
#ssl_version =
#ssl_key_file =
#ssl_cert_file =
#ssl_ca_file =
#kombu_reconnect_delay = 1.0
#kombu_compression = <None>
#kombu_missing_consumer_retry_timeout = 60
#kombu_failover_strategy = round-robin
#rabbit_login_method = AMQPLAIN

rabbit_retry_interval = 1
rabbit_retry_backoff = 2
rabbit_interval_max = 10
rabbit_ha_queues = false
#rabbit_transient_queues_ttl = 1800
#rabbit_qos_prefetch_count = 0

heartbeat_timeout_threshold = 180
#heartbeat_rate = 2

[oslo_middleware]
#max_request_body_size = 114688
#secure_proxy_ssl_header = X-Forwarded-Proto
#enable_proxy_headers_parsing = false

[oslo_policy]
#enforce_scope = false
#policy_file = policy.yaml
#policy_default_rule = default
#policy_dirs = policy.d
#remote_content_type = application/x-www-form-urlencoded
#remote_ssl_verify_server_crt = false
#remote_ssl_ca_crt_file = <None>
#remote_ssl_client_crt_file = <None>
#remote_ssl_client_key_file = <None>

[oslo_reports]
#log_dir = <None>
#file_event_handler = <None>
#file_event_handler_interval = 1

[oslo_versionedobjects]
#fatal_exception_format_errors = false

[privsep]
#user = <None>
#group = <None>
#capabilities =
#thread_pool_size = 32
#helper_command = <None>
[profiler]
#enabled = false
#trace_sqlalchemy = false
#hmac_keys = SECRET_KEY
#connection_string = messaging://
#es_doc_type = notification
#es_scroll_time = 2m
#es_scroll_size = 10000
#socket_timeout = 0.1
#sentinel_service_name = mymaster
#filter_error_trace = false

[sample_castellan_source]
#driver = castellan
#config_file = etc/castellan/castellan.conf
#mapping_file = etc/castellan/secrets_mapping.conf

[sample_remote_file_source]
#driver = remote_file
#uri = https://example.com/my-configuration.ini
#ca_path = /etc/ca-certificates
#client_cert = /etc/ca-certificates/service-client-keystore
#client_key = <None>

[service_user]
#send_service_user_token = false
#cafile = <None>
#certfile = <None>
#keyfile = <None>

insecure = {{ ssl_no_verify }}
#timeout = <None>
#collect_timing = false
#split_loggers = false

[ssl]
#ca_file = <None>
#cert_file = <None>
#key_file = <None>
#version = <None>
#ciphers = <None>

[vault]
#root_token_id = <None>
#approle_role_id = <None>
#approle_secret_id = <None>
#kv_mountpoint = secret
#vault_url = http://127.0.0.1:8200
#ssl_ca_crt_file = <None>
#use_ssl = false

#####################
[ceph]
volume_driver = cinder.volume.drivers.rbd.RBDDriver
volume_backend_name = ceph
rbd_pool = {{ cinder_rbd_pool }}
rbd_ceph_conf = /etc/ceph/ceph.conf
rbd_flatten_volume_from_snapshot = false
rbd_max_clone_depth = 5
rbd_store_chunk_size = 4
rados_connect_timeout = -1
rbd_user = cinder
rbd_secret_uuid = {{ ceph_rbd_secret_uuid }}
